% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/MiscFuns.R
\docType{data}
\name{base_did}
\alias{base_did}
\title{Sample data for difference in difference}
\format{\code{base_did} is a data frame with 1,040 observations and 6 variables named \code{y}, \code{x1}, \code{id}, \code{period}, \code{post} and \code{treat}.

\itemize{
\item{y: The dependent variable affected by the treatment.}
\item{x1: An explanatory variable.}
\item{id: Identifier of the individual.}
\item{period: From 1 to 10}
\item{post: Indicator taking value 1 if the period is strictly greater than 5, 0 otherwise.}
\item{treat: Indicator taking value 1 if the individual is treated, 0 otherwise.}

}}
\source{
This data has been generated from \pkg{R}.
}
\usage{
data(base_did)
}
\description{
This data has been generated to illustrate the use of difference in difference functions in package \pkg{fixest}. This is a balanced panel of 104 individuals and 10 periods. About half the individuals are treated, the treatment having a positive effect on the dependent variable \code{y} after the 5th period. The effect of the treatment on \code{y} is gradual.
}
\seealso{
The DiD functions of the package \pkg{fixest} are \code{\link[fixest]{did_estimate_yearly_effects}} and \code{\link[fixest]{did_plot_yearly_effects}}.
}
\keyword{datasets}
